import java.util.Iterator;
import java.util.Vector;

import cz.vutbr.feec.packets.ttp.GeneralTTPHeader;


public class TestVector {
	public static void main(String[] args) {
		Vector<GeneralTTPHeader> v = new Vector<GeneralTTPHeader>();
		v.add(new GeneralTTPHeader(1));
		v.add(new GeneralTTPHeader(2));
		v.add(new GeneralTTPHeader(3));
		v.add(new GeneralTTPHeader(4));
		
		System.out.println("SIZE " + v.size());
		
		for (GeneralTTPHeader generalTTPHeader : v) {
			System.out.println(generalTTPHeader.getPacketType());
		}
		
		for (Iterator<GeneralTTPHeader> iterator = v.iterator(); iterator.hasNext();) {
			GeneralTTPHeader name = iterator.next();
			System.out.println("xxx "+name.getPacketType());
		}
	}
}
